Subject: [Netconf] RESTCONF URL for a list with an instance-identifier as a key

From: "Beauville, Yves (Nokia - BE/Antwerp)" <[email-masked]>
Date: Tue, 28 Aug 2018 15:02:55 +0200

Hi All,

  Given the following list in a dummy module called "disable-alarms":

      list disable-alarm {          key "resource";          leaf 
resource {              type instance-identifier;          }          
leaf disable {              type boolean;          }      }

And assuming that an entry exists in that list for a resource referring 
to an interface named 'port' in the "ietf-interfaces" module of RFC-7332.

How do I build a RESTCONF GET request for that entry?

Will it be:

       GET /restconf/data/disable-alarms:disable-alarm=/ietf-interfaces:interfaces/interface[name='port'] HTTP/1.1
       Host: example.com
       Accept: application/yang-data+xml

I have not encoded the URL above for readability. I understand that it 
should be something like:

	/restconf/data/disable-alarms:disable-alarm=%2Fietf-interfaces%3Ainterfaces%2Finterface[name%3D'port']

If this is not correct, what should be provided in the URL?

Yves